declare namespace NodeJS {
  export interface ProcessEnv {
    /** 接口网关地址 */
    readonly API_HOST: string;
    /** 文件上传地址 */
    readonly FILE_HOST: string;
    /** 本地地址 */
    readonly XHOST: string;
    /** 本地服务端口 */
    readonly XPORT: string;
    /** 项目名称 */
    readonly APP_NAME?: string;
    /** 通用签名 */
    readonly XSIGN?: string;

    /************ 运行时参数 ***********************/
    /** appid */
    readonly MODERN_APP_ID: string;
    /** key */
    readonly MODERN_CALKEY: string;
    /** GRAY_TAG */
    readonly MODERN_GRAY_TAG?: string;
    /** 接口网关地址 */
    readonly MODERN_DOMAIN?: string;
    /** 文件服务器网关地址 */
    readonly MODERN_FILE_DOMAIN?: string;
    /** 通用签名 */
    readonly MODERN_XSIGN?: string;
    /** 环境名称 */
    readonly MODERN_ENV?: 'staging' | 'prod' | 'ultra';
  }
}
